Freeciv-3.1: /fast/freeciv/nightly/S3_1/tools/ruleutil/comments.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Macros | Functions | Variables
comments.c File Reference
`#include "mem.h"`
`#include "registry.h"`
`#include "section_file.h"`
`#include "comments.h"`

Go to the source code of this file.

## Macros

#define | comment_load(target, comment_file, comment_path)

## Functions

bool | comments_load (void)
void | comments_free (void)
static void | comment_write (struct section_file *sfile, const char *comment, const char *name)
void | comment_file_header (struct section_file *sfile)
void | comment_buildings (struct section_file *sfile)
void | comment_tech_classes (struct section_file *sfile)
void | comment_techs (struct section_file *sfile)
void | comment_govs (struct section_file *sfile)
void | comment_policies (struct section_file *sfile)
void | comment_uclasses (struct section_file *sfile)
void | comment_utypes (struct section_file *sfile)
void | comment_terrains (struct section_file *sfile)
void | comment_resources (struct section_file *sfile)
void | comment_extras (struct section_file *sfile)
void | comment_bases (struct section_file *sfile)
void | comment_roads (struct section_file *sfile)
void | comment_styles (struct section_file *sfile)
void | comment_citystyles (struct section_file *sfile)
void | comment_musicstyles (struct section_file *sfile)
void | comment_effects (struct section_file *sfile)
void | comment_disasters (struct section_file *sfile)
void | comment_achievements (struct section_file *sfile)
void | comment_trade_settings (struct section_file *sfile)
void | comment_goods (struct section_file *sfile)
void | comment_enablers (struct section_file *sfile)
void | comment_specialists (struct section_file *sfile)
void | comment_nations (struct section_file *sfile)
void | comment_nationgroups (struct section_file *sfile)
void | comment_nationsets (struct section_file *sfile)
void | comment_clauses (struct section_file *sfile)
void | comment_nations_ruledit (struct section_file *sfile)

## Variables

struct { |
char * file_header |
char * buildings |
char * tech_classes |
char * techs |
char * govs |
char * policies |
char * uclasses |
char * utypes |
char * terrains |
char * resources |
char * extras |
char * bases |
char * roads |
char * styles |
char * citystyles |
char * musicstyles |
char * effects |
char * disasters |
char * achievements |
char * trade_settings |
char * goods |
char * enablers |
char * specialists |
char * nations |
char * nationgroups |
char * nationsets |
char * clauses |
char * nations_ruledit |
} | comments_storage |

## Macro Definition Documentation

## ◆ comment_load

#define comment_load | ( |  | target,
|  |  | comment_file,
|  |  | comment_path
| ) |  |

Value:
{ \
const char *comment; \
\
if ((comment = secfile_lookup_str(comment_file, comment_path))) { \
target = fc_strdup(comment); \
} else { \
log_normal("Can't read %s from comments file", comment_path); \
return FALSE; \
} \
}
fc_strdup
#define fc_strdup(str)
Definition mem.h:43
secfile_lookup_str
const char * secfile_lookup_str(const struct section_file *secfile, const char *path,...)
Definition registry_ini.c:2112
FALSE
#define FALSE
Definition support.h:47

## Function Documentation

## ◆ comment_achievements()

void comment_achievements | ( | struct section_file * | sfile | ) |

Write achievements header.

Definition at line 308 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_bases()

void comment_bases | ( | struct section_file * | sfile | ) |

Write bases header.

Definition at line 252 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_buildings()

void comment_buildings | ( | struct section_file * | sfile | ) |

Write buildings header.

Definition at line 172 of file comments.c.

Referenced by save_buildings_ruleset().

## ◆ comment_citystyles()

void comment_citystyles | ( | struct section_file * | sfile | ) |

Write city styles header.

Definition at line 276 of file comments.c.

Referenced by save_styles_ruleset().

## ◆ comment_clauses()

void comment_clauses | ( | struct section_file * | sfile | ) |

Write clauses header.

Definition at line 372 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_disasters()

void comment_disasters | ( | struct section_file * | sfile | ) |

Write disasters header.

Definition at line 300 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_effects()

void comment_effects | ( | struct section_file * | sfile | ) |

Write effects header.

Definition at line 292 of file comments.c.

Referenced by save_effects_ruleset().

## ◆ comment_enablers()

void comment_enablers | ( | struct section_file * | sfile | ) |

Write action enablers header.

Definition at line 332 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_extras()

void comment_extras | ( | struct section_file * | sfile | ) |

Write extras header.

Definition at line 244 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_file_header()

void comment_file_header | ( | struct section_file * | sfile | ) |

Write file header.

Definition at line 164 of file comments.c.

Referenced by create_ruleset_file().

## ◆ comment_goods()

void comment_goods | ( | struct section_file * | sfile | ) |

Write goods header.

Definition at line 324 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_govs()

void comment_govs | ( | struct section_file * | sfile | ) |

Write governments header.

Definition at line 196 of file comments.c.

Referenced by save_governments_ruleset().

## ◆ comment_musicstyles()

void comment_musicstyles | ( | struct section_file * | sfile | ) |

Write music styles header.

Definition at line 284 of file comments.c.

Referenced by save_styles_ruleset().

## ◆ comment_nationgroups()

void comment_nationgroups | ( | struct section_file * | sfile | ) |

Write nationgroups header.

Definition at line 356 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_nations()

void comment_nations | ( | struct section_file * | sfile | ) |

Write nations header.

Definition at line 348 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_nations_ruledit()

void comment_nations_ruledit | ( | struct section_file * | sfile | ) |

Write nations.ruleset [ruledit] section header.

Definition at line 380 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_nationsets()

void comment_nationsets | ( | struct section_file * | sfile | ) |

Write nationsets header.

Definition at line 364 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_policies()

void comment_policies | ( | struct section_file * | sfile | ) |

Write policies header.

Definition at line 204 of file comments.c.

Referenced by save_governments_ruleset().

## ◆ comment_resources()

void comment_resources | ( | struct section_file * | sfile | ) |

Write resources header.

Definition at line 236 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_roads()

void comment_roads | ( | struct section_file * | sfile | ) |

Write roads header.

Definition at line 260 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_specialists()

void comment_specialists | ( | struct section_file * | sfile | ) |

Write specialists header.

Definition at line 340 of file comments.c.

Referenced by save_cities_ruleset().

## ◆ comment_styles()

void comment_styles | ( | struct section_file * | sfile | ) |

Write styles header.

Definition at line 268 of file comments.c.

Referenced by save_styles_ruleset().

## ◆ comment_tech_classes()

void comment_tech_classes | ( | struct section_file * | sfile | ) |

Write tech classes' header.

Definition at line 180 of file comments.c.

Referenced by save_techs_ruleset().

## ◆ comment_techs()

void comment_techs | ( | struct section_file * | sfile | ) |

Write techs header.

Definition at line 188 of file comments.c.

Referenced by save_techs_ruleset().

## ◆ comment_terrains()

void comment_terrains | ( | struct section_file * | sfile | ) |

Write terrains header.

Definition at line 228 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_trade_settings()

void comment_trade_settings | ( | struct section_file * | sfile | ) |

Write trade settings header.

Definition at line 316 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_uclasses()

void comment_uclasses | ( | struct section_file * | sfile | ) |

Write unit classes header.

Definition at line 212 of file comments.c.

Referenced by save_units_ruleset().

## ◆ comment_utypes()

void comment_utypes | ( | struct section_file * | sfile | ) |

Write unit types header.

Definition at line 220 of file comments.c.

Referenced by save_units_ruleset().

## ◆ comment_write()

static void comment_write | ( | struct section_file * | sfile,
|  | const char * | comment,
|  | const char * | name
| ) |  |

static

Generic comment writing function with some error checking.

Definition at line 150 of file comments.c.

Referenced by comment_achievements(), comment_bases(), comment_buildings(), comment_citystyles(), comment_clauses(), comment_disasters(), comment_effects(), comment_enablers(), comment_extras(), comment_file_header(), comment_goods(), comment_govs(), comment_musicstyles(), comment_nationgroups(), comment_nations(), comment_nations_ruledit(), comment_nationsets(), comment_policies(), comment_resources(), comment_roads(), comment_specialists(), comment_styles(), comment_tech_classes(), comment_techs(), comment_terrains(), comment_trade_settings(), comment_uclasses(), and comment_utypes().

## ◆ comments_free()

void comments_free | ( | void |  | ) |

Free comments.

Definition at line 142 of file comments.c.

Referenced by main().

## ◆ comments_load()

bool comments_load | ( | void |  | ) |

Load comments to add to the saved rulesets.

Definition at line 61 of file comments.c.

Referenced by main().

## Variable Documentation

## ◆ achievements

char* achievements

Definition at line 44 of file comments.c.

## ◆ bases

char* bases

Definition at line 37 of file comments.c.

Referenced by base_by_number().

## ◆ buildings

char* buildings

Definition at line 27 of file comments.c.

## ◆ citystyles

char* citystyles

Definition at line 40 of file comments.c.

## ◆ clauses

char* clauses

Definition at line 52 of file comments.c.

## ◆ [struct]

struct { ... } comments_storage

Referenced by comment_achievements(), comment_bases(), comment_buildings(), comment_citystyles(), comment_clauses(), comment_disasters(), comment_effects(), comment_enablers(), comment_extras(), comment_file_header(), comment_goods(), comment_govs(), comment_musicstyles(), comment_nationgroups(), comment_nations(), comment_nations_ruledit(), comment_nationsets(), comment_policies(), comment_resources(), comment_roads(), comment_specialists(), comment_styles(), comment_tech_classes(), comment_techs(), comment_terrains(), comment_trade_settings(), comment_uclasses(), comment_utypes(), comments_free(), and comments_load().

## ◆ disasters

char* disasters

Definition at line 43 of file comments.c.

Referenced by receive_packet_game_info_100().

## ◆ effects

char* effects

Definition at line 42 of file comments.c.

## ◆ enablers

char* enablers

Definition at line 47 of file comments.c.

Referenced by action_is_in_use().

## ◆ extras

char* extras

Definition at line 36 of file comments.c.

## ◆ file_header

char* file_header

Definition at line 26 of file comments.c.

## ◆ goods

char* goods

Definition at line 46 of file comments.c.

## ◆ govs

char* govs

Definition at line 30 of file comments.c.

## ◆ musicstyles

char* musicstyles

Definition at line 41 of file comments.c.

## ◆ nationgroups

char* nationgroups

Definition at line 50 of file comments.c.

## ◆ nations

char* nations

Definition at line 49 of file comments.c.

## ◆ nations_ruledit

char* nations_ruledit

Definition at line 55 of file comments.c.

## ◆ nationsets

char* nationsets

Definition at line 51 of file comments.c.

Referenced by popup_races_dialog().

## ◆ policies

char* policies

Definition at line 31 of file comments.c.

## ◆ resources

char* resources

Definition at line 35 of file comments.c.

Referenced by receive_packet_ruleset_terrain_100().

## ◆ roads

char* roads

Definition at line 38 of file comments.c.

Referenced by road_by_number().

## ◆ specialists

char* specialists

Definition at line 48 of file comments.c.

## ◆ styles

char* styles

Definition at line 39 of file comments.c.

## ◆ tech_classes

char* tech_classes

Definition at line 28 of file comments.c.

## ◆ techs

char* techs

Definition at line 29 of file comments.c.

Referenced by recalculate_techs_researched(), research_get_reachable_rreqs(), sg_load_sanitycheck(), and sg_load_sanitycheck().

## ◆ terrains

char* terrains

Definition at line 34 of file comments.c.

## ◆ trade_settings

char* trade_settings

Definition at line 45 of file comments.c.

## ◆ uclasses

char* uclasses

Definition at line 32 of file comments.c.

## ◆ utypes

char* utypes

Definition at line 33 of file comments.c.

Referenced by helptext_nation().